This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 299981 - (CVE-2007-5038) CVE-2007-5038 Security Advisory for Bugzilla 3.0.1 and 3.1.1
CVE-2007-5038 Security Advisory for Bugzilla 3.0.1 and 3.1.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
http://www.bugzilla.org/security/3.0.1/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 07:31 EDT by Adrian Reber
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.2-0.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2007-09-21 07:31:39 EDT
September 18, 2007

Summary
=======

Bugzilla is a Web-based bug-tracking system, used by a large number of
software projects.

This advisory covers a critical security issue that has recently been
fixed in the Bugzilla code:

* Even with account creation disabled, users can use the WebService to
  create an account.

We strongly advise that 2.23.x and 3.0.x users upgrade to 3.0.2
immediately. Users of CVS HEAD or 3.1.1 should upgrade to 3.1.2
immediately. This is critical if you have a "requirelogin" installation
and also have the WebService enabled.


Vulnerability Details
=====================

Class:       Unauthorized Access
Versions:    2.23.3 and above.
Description: Bugzilla::WebService::User::offer_account_by_email does
             not check the "createemailregexp" parameter, and thus
             allows users to create accounts who would normally be
             denied account creation.
             The "emailregexp" parameter is still checked.
             If you do not have the SOAP::Lite Perl module installed on
             your Bugzilla system, your system is not vulnerable
             (because the Bugzilla WebService will not be enabled).

Reference:   https://bugzilla.mozilla.org/show_bug.cgi?id=395632


Vulnerability Solutions
=======================

The fix for the security bug mentioned in this advisory is
included in the 3.0.2 and 3.1.2 releases. Upgrading to these
releases will protect installations from possible exploits of this
issue.

Full release downloads, patches to upgrade Bugzilla from previous
versions, and CVS upgrade instructions are available at:

  http://www.bugzilla.org/download/

If you are unable to upgrade, you should IMMEDIATELY apply the
appropriate patch for your version:

2.23.x & 3.0.x: https://bugzilla.mozilla.org/attachment.cgi?id=280385
         3.1.x: https://bugzilla.mozilla.org/attachment.cgi?id=280316


Credits
=======

The Bugzilla team wish to thank the following people for their
assistance in locating, advising us of, and assisting us to fix
this issue:

Sascha Jensen
Frédéric Buclin
Max Kanat-Alexander
Marc Schumann

General information about the Bugzilla bug-tracking system can be found
at:

  http://www.bugzilla.org/

Comments and follow-ups can be directed to the mozilla.support.bugzilla
newsgroup or the support-bugzilla mailing list.
http://www.bugzilla.org/support/ has directions for accessing these
forums.
Comment 1 Tomas Hoger 2007-09-24 11:56:47 EDT
CVE has assigned name CVE-2007-5038 to this issue.
Comment 2 Fedora Update System 2007-09-25 04:32:19 EDT
bugzilla-3.0.2-0.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.